import React from "react";
import { Link, useRouteError } from "react-router-dom";

const Error = () => {
  const error = useRouteError();
  return (
    <div className="flex flex-col items-center justify-center h-screen bg-gray-100 text-gray-800">
      <img src="/warning.png" alt="Error Warning" className="mb-6 h-36 w-36" />
      <h1 className="text-3xl font-bold mb-4 text-red-600">
        Oops! Something went wrong.
      </h1>
      <p className="text-lg mb-6 text-gray-600 text-center px-4">
        {error?.data || "An unexpected error occurred. Please try again later."}
      </p>
      <Link to="/">
        <button className="bg-gradient-to-r from-blue-500 to-indigo-600 hover:from-indigo-600 hover:to-blue-500 text-white font-medium px-8 py-3 rounded-lg shadow-md transition-all cursor-pointer">
          Go Back Home
        </button>
      </Link>
    </div>
  );
};

export default Error;
